using System;


namespace Chat_Classe_exemple_1
{
    public class Chat
    {
        public uint Age { get; set; }
        public String Nom { get; set; }


        // default ctor 
        public Chat()
        {
            Age = 0; // Est ce bien pertinent? 
            Nom = "NoName";
        }
        // default ctor 2
        public Chat(uint age)
        {
            Age = age;
            Nom = "NoName";
        }
        // default ctor 3
        public Chat(uint age, String nom)
        {
            Age = age;
            Nom = nom;
        }

        public override string ToString()
        {
            String affichage = String.Format("j'ai {0} ans et je m'appelle {1}", Age, Nom);
            return affichage;
        } 
    }
}
